Bug 131246 - pam_krb5 - use_authtok in change password
Summary: pam_krb5 - use_authtok in change password
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam_krb5 (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-30 14:27 UTC by Ludek Finstrle
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.1.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 14:45:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for use_authtok during changing password (479 bytes, patch)
2004-08-30 14:29 UTC, Ludek Finstrle
no flags Details | Diff

Description Ludek Finstrle 2004-08-30 14:27:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; cs-CZ; rv:1.7)
Gecko/20040616

Description of problem:
I have same passwords in /etc/shadow and in krb5. I use this config:
password    requisite     /lib/security/$ISA/pam_cracklib.so retry=3 type=
password    required      /lib/security/$ISA/pam_unix.so nullok
use_authtok md5 shadow
password    required      /lib/security/$ISA/pam_krb5.so use_authtok

Command-line:
luf$ passwd
Changing password for user luf.
Changing password for luf
(current) UNIX password:
passwd: Authentication failure

pam_krb5 doesn't use typed password used in pam_unix. I see same
problem in older versions and in CVS too.

Version-Release number of selected component (if applicable):
pam_krb5-2.1.1-1

How reproducible:
Always

Steps to Reproduce:
1. config pam (see Description)
2. add user to /etc/passwd and /etc/shadow
3. add principal to kerberos
4. give same password to /etc/shadow and to kerberos
5. login as the user and type passwd

Actual Results:  see Description

Expected Results:  It may ask for new password.

Additional info:

I create patch which correct this problem.
$ patch -u password.c.orig password.c

Comment 1 Ludek Finstrle 2004-08-30 14:29:51 UTC
Created attachment 103248 [details]
patch for use_authtok during changing password

Comment 2 Nalin Dahyabhai 2004-08-31 14:45:41 UTC
Fixing in 2.1.2.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.